Package org.apache.tomcat.util.security

## Class PrivilegedGetTccl

- java.lang.Object
- - org.apache.tomcat.util.security.PrivilegedGetTccl

All Implemented Interfaces:
  `java.security.PrivilegedAction<java.lang.ClassLoader>`

    public class PrivilegedGetTccl
    extends java.lang.Object
    implements java.security.PrivilegedAction<java.lang.ClassLoader>

### Constructor Summary

Constructors
`PrivilegedGetTccl()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.ClassLoader` `run()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PrivilegedGetTccl

    public PrivilegedGetTccl()

### Method Detail

#### run

    public java.lang.ClassLoader run()

Specified by:
  `run` in interface `java.security.PrivilegedAction<java.lang.ClassLoader>`